﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Scanner.Code
{
    public static class Constants
    {
        /// <summary>
        /// Executable version
        /// </summary>
        public static string Version
        {
            get
            {
                System.Reflection.Assembly assembly = System.Reflection.Assembly.GetExecutingAssembly();
                System.Diagnostics.FileVersionInfo fvi = System.Diagnostics.FileVersionInfo.GetVersionInfo(assembly.Location);
                var version = fvi.FileVersion;
                var idx = version.LastIndexOf('.');
                if (idx != -1)
                    version = version.Substring(0, idx);
                return version;
            }
        }
    }
}
